import { jsx } from "react/jsx-runtime";
import { Sidebar as Sidebar$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Sidebar = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Sidebar", ...props, children: /* @__PURE__ */ jsx(Sidebar$1, { weight: variant }) });
  }
);
Sidebar.displayName = "Sidebar";
Object.assign(Sidebar, { isGdsIcon: true });
export {
  Sidebar
};
